tools: template_replace: esacpe braces
authorThomas Lamprecht <t.lamprecht@proxmox.com>
Sun, 18 Nov 2018 15:06:19 +0000 (16:06 +0100)
committerWolfgang Bumiller <w.bumiller@proxmox.com>
Mon, 19 Nov 2018 09:05:54 +0000 (10:05 +0100)
commit14410e5f204ac17373c6eae07986bb2fd787701c
tree86daa2759fcca3729a0d864b80551aadaa6584b0
parent0681aa71573c756ac8d7912e6d8c923864d77acf
tools: template_replace: esacpe braces

To avoid warnings (and in the future, errors) like:

> Unescaped left brace in regex is deprecated here (and will be fatal
> in Perl 5.32), passed through in regex; marked by <-- HERE in
> m/([^{]+)?({ <-- HERE ([^}]+)})?/ at /usr/share/perl5/PVE/Tools.pm
> line 673.

with future perl versions, like Debian Buster for example has.

Signed-off-by: Thomas Lamprecht <t.lamprecht@proxmox.com>
src/PVE/Tools.pm